## visad.bom
Interface BarbRenderer

All Known Implementing Classes:
  BarbManipulationRendererJ2D, BarbManipulationRendererJ3D, BarbRendererJ2D, BarbRendererJ3D, SwellRendererJ3D

public interface BarbRenderer

BarbRenderer is the VisAD interface for rendering of wind barbs.

Method Summary
`boolean` `getKnotsConvert()`
`float[]` `makeVector(boolean south, float x, float y, float z, float scale, float pt_size, float f0, float f1, float[] vx, float[] vy, float[] vz, int[] numv, float[] tx, float[] ty, float[] tz, int[] numt)`
`void` `setKnotsConvert(boolean enable)`

Method Detail

### makeVector

    public float[] makeVector(boolean south,
                              float x,
                              float y,
                              float z,
                              float scale,
                              float pt_size,
                              float f0,
                              float f1,
                              float[] vx,
                              float[] vy,
                              float[] vz,
                              int[] numv,
                              float[] tx,
                              float[] ty,
                              float[] tz,
                              int[] numt)

### setKnotsConvert

    public void setKnotsConvert(boolean enable)

### getKnotsConvert

    public boolean getKnotsConvert()